Subject: [bug#68857] gnu: home: dotfiles: Avoid creating extra directory in $HOME.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 27 Feb 2024 11:17:07 +0100

Hi,

paul <[email-masked]> skribis:

> As I tried explaining in the commit message, this approach, compared
> to having a single field in home-dotfiles-configuration , allows for
> having different layouts for different directories and to carry
> additional information that might be needed for a given layout
> type. Such as the application field required to support some Stow's
> users workflows. What do you think about this approach? It should be
> general enough to support any kind of layout.

I think we’ll only want to support two layouts: Stow and “plain”; we
should avoid overengineering that.  That’s why a simple (layout 'stow)
field seems good enough for me.

WDYT?

Ludo’.